#ifndef SPREADHEET_H
#define SPREADHEET_H

#include <QObject>
#include <QFile>
#include <QApplication>
#include <QMessageBox>
#include <QTableWidget>
#include "cell.h"


class Spreadsheet : public QTableWidget
{
    Q_OBJECT
public:
    Spreadsheet(QWidget *parent = nullptr);
    virtual ~Spreadsheet();
    void clear();
    bool readFile(const QString &fileName);
    bool writeFile(const QString &fileName);
    QString getFormula(int row, int column) const;
    void setFormula(int row, int column,const QString &formula);
    Cell *getCell(int row, int column) const;
    QString getText(int row, int column) const;

private:
    enum { MagicNumber = 0x7F51C883, RowCount = 999, ColumnCount = 26 };



signals:
    void modified();

private slots:
    void somethingChanged();

public slots:
    void findNext(const QString &str, Qt::CaseSensitivity cs);
    void findPrevious(const QString &str, Qt::CaseSensitivity cs);
};

#endif // SPREADHEET_H
